local t = Def.Quad {
	InitCommand=cmd(zoomto,7,58;glowramp;effectcolor1,Color.Invisible;effectcolor2,Color.White;
			effectclock,'beat';effecttiming,0.1,0.1,0.1,0.1,0.6),
	ShowCommand=cmd(stoptweening;visible,true),
	HideCommand=cmd(stoptweening;visible,false),
	SetGradeCommand=function(self,params)
		local pn = params.PlayerNumber
		local sGrade = params.Grade or 'Grade_None'
		-- Params don't give anything to work with aside from the grade, unfortunately.
		self:visible(sGrade ~= "Grade_None"):diffuse(GradeTierToColor(sGrade))
	end
}

return t
